org.bouncycastle.jce.interfaces

## Interface MQVPrivateKey

All Superinterfaces:
  java.security.Key, java.security.PrivateKey, java.io.Serializable

All Known Implementing Classes:
  MQVPrivateKeySpec

    public interface MQVPrivateKey
    extends java.security.PrivateKey

Static/ephemeral private key (pair) for use with ECMQV key agreement (Optionally provides the ephemeral public key)

### Field Summary

### Fields inherited from interface java.security.PrivateKey

`serialVersionUID`

### Method Summary

Methods
`java.security.PrivateKey` `getEphemeralPrivateKey()` return the ephemeral private key.
`java.security.PublicKey` `getEphemeralPublicKey()` return the ephemeral public key (may be null).
`java.security.PrivateKey` `getStaticPrivateKey()` return the static private key.

### Methods inherited from interface java.security.Key

`getAlgorithm, getEncoded, getFormat`

### Method Detail

#### getStaticPrivateKey

    java.security.PrivateKey getStaticPrivateKey()

return the static private key.

#### getEphemeralPrivateKey

    java.security.PrivateKey getEphemeralPrivateKey()

return the ephemeral private key.

#### getEphemeralPublicKey

    java.security.PublicKey getEphemeralPublicKey()

return the ephemeral public key (may be null).